import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import java.util.ArrayList;

import static org.junit.jupiter.api.Assertions.assertTrue;

public class CardsTest {
    public Card newCard, card;
    public Cards cards;
    public ArrayList<Card> cardsArrayList;
    @BeforeEach
    void setUp() {
        card = new Card("Name", 10, ElementTyp.WATER, CardType.MONSTER);
        newCard = new Card("NameNew", 10, ElementTyp.WATER, CardType.SPELL);
        cardsArrayList = new ArrayList<Card>();
        cardsArrayList.add(card);
        cards = new Cards(cardsArrayList);
    }

    @Test
    void test_addCard() {
        ArrayList<Card> result = cards.getCards();
        cards.addCard(newCard);
        cardsArrayList.add(newCard);
        assertTrue(result == cardsArrayList);
    }
    @Test
    void test_delCard() {
        boolean result = cards.delCard(newCard);
        assertTrue(result);
    }
    @Test
    void test_getCards() {
        ArrayList<Card> result = cards.getCards();
        assertTrue(result == cardsArrayList);
    }

}
